Subject: Re: [PATCH] of: Feed entire flattened device tree into the random pool

From: David Gibson <[email-masked]>
Date: Thu, 25 Jul 2013 14:42:34 +1000

On Thu, Jul 25, 2013 at 02:30:31PM +1000, Anton Blanchard wrote:
> 
> Hi Michael,
> 
> > But why not put the initcall in drivers/of/fdt.c, that way it's not
> > early but it's still common ?
> 
> Good idea! How does this look? So long as it happens before
> module_init(rand_initialize) we should be good.

This must be some strange new meaning of the word "random" of which I
was not previously aware.  But I guess it's marginally better than
nothing.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson